#include <fstream>
#include <iostream>
#include <vector>

int main(int argc, char* argv[]) {
  if (argc == 2) {
    std::ifstream file(argv[1], std::ios::binary);

    size_t count = 0;
    file.read(reinterpret_cast<char*>(&count), sizeof(count));

    std::vector<double> values(count);
    file.read(reinterpret_cast<char*>(&values[0]), values.size() * sizeof(double));
    file.close();

    std::cout << count << std::endl;
    for (size_t index = 0; index < count; ++index) {
      std::cout << index << ": " << values[index] << std::endl;
    }

  } else {
    std::cerr << "usage: readbin file" << std::endl;
  }
}
