#include <fstream>
#include <iostream>
#include <vector>

int main(int argc, char* argv[]) {
  if (argc == 3) {
    const size_t count = std::stoull(argv[1]);
    std::vector<double> values(count);
    for (size_t index = 0; index < count; ++index) {
      values[index] = index + 1;
    }
    std::ofstream file(argv[2], std::ios::binary);

    // file << count << std::endl;
    // for (size_t index = 0; index < count; ++index) {
    //   file << values[index] << std::endl;
    // }

    // file.write(reinterpret_cast<const char*>(&count), sizeof(count));
    // for (size_t index = 0; index < count; ++index) {
    //   file.write(reinterpret_cast<const char*>(&values[index]), sizeof(values[index]));
    // }

    file.write(reinterpret_cast<const char*>(&count), sizeof(count));
    file.write(reinterpret_cast<const char*>(&values[0]), values.size() * sizeof(double));

    file.close();
  } else {
    std::cerr << "usage: writebin count file" << std::endl;
  }
}
